SMODE2(1)

NAME
mode2, smode2, xmode2 - shows the pulse/space length of infrared signals

SYNOPSIS
smode2 [options]

DESCRIPTION
The main purpose of these programs is to check operation of your home-brew LIRC receiver hardware and to see the IR waveform of the remote controller without an expensive oscilloscope. Very useful for debugging. Of course this program won't work with hardware that decodes the signals itself like e.g. TV cards or the Irman. smode2 uses the svgalib to show the IR waveform in a graphical representation. The time division is variable from 1 ms/unit to extremely high values (integer type) but there is no point increasing this value above 20 ms/unit, because one pulse is about 1 ms. This kind of presentation is much more exciting than the simple pulse&space output showed by mode2.

-h --help
    display usage summary

-v --version
    display version

-d --device=device
    read from given device

-t --timediv=value
    ms per unit

SEE ALSO
mode2(1), smode2(1), xmode2(1) The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.